/*
 * Copyright (c) 2016-present Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.nexus.ci.nxrm.v3.CreateTagStep

import org.sonatype.nexus.ci.iq.Messages
import org.sonatype.nexus.ci.util.NxrmUtil

import jenkins.model.Jenkins
import lib.FormTagLib

def f = namespace(FormTagLib)

link(rel: "stylesheet", href: "${rootURL}/plugin/nexus-jenkins-plugin/css/nexus.css", type: "text/css")

if (!NxrmUtil.hasNexusRepositoryManagerConfiguration()) {
  div(class: 'nexus-jenkins-error') {
    span(class: 'error') {
      yield Messages.IqPolicyEvaluation_NoNxrmServersConfigured()
    }
    span(class: 'nexus-spacer')
    yield Messages.IqPolicyEvaluation_AddNxrmServers()
    a(href: Jenkins.get().rootUrl + "manage/configure", "Configure System")
  }
}

f.entry(title: _('Nexus Instance'), field: 'nexusInstanceId') {
  f.select()
}

f.entry(title: _('Tag Name'), field: 'tagName') {
  f.textbox(clazz: 'required')
}

f.entry(title: _('Tag Attributes File'), field: 'tagAttributesPath') {
  f.textbox()
}

f.advanced() {
  f.entry(title: _('Tag Attributes (JSON)'), field: 'tagAttributesJson') {
    f.textarea()
  }
}
